#
#  Le Caviste --- a wine cellar managing application
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of the
#  License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  For more information, visit the Le Caviste Home Page at
#  http://www.lecaviste.org/
#
#  Copyright (c) 2007
#      Le Caviste Authors <devel@lecaviste.org>
#
#

TEMPLATE = app
RESOURCES   = lecaviste.qrc

SOURCES     = main.cpp 					\
              lecaviste_window.cpp		\
              wine_dialog.cpp			\
              productor_dialog.cpp  	\
              appellation_dialog.cpp  	\
              country_dialog.cpp  		\
              place_dialog.cpp  		\
              appellations_dialog.cpp 	\
              productors_dialog.cpp 	\
              countries_dialog.cpp 		\
              places_dialog.cpp 		\
              import_wizard.cpp			\
              column_combobox.cpp		\
              csv_parser.cpp			\
              cellar.cpp				\
              preferences_dialog.cpp	\
              preferences_pages.cpp		\
              printer.cpp				\
              preview_window.cpp		\
              preview_view.cpp

HEADERS     = lecaviste_window.hpp		\
		      wine_dialog.hpp			\
              appellation_dialog.hpp  	\
              productor_dialog.hpp  	\
              country_dialog.hpp  		\
              place_dialog.hpp  		\
              appellations_dialog.hpp 	\
              productors_dialog.hpp 	\
              countries_dialog.hpp 		\
              places_dialog.hpp 		\
              import_wizard.hpp			\
              column_combobox.hpp		\
              csv_parser.hpp			\
	          cellar.hpp				\
              preferences.hpp			\
              preferences_dialog.hpp	\
              preferences_pages.hpp		\
              printer.hpp				\
              preview_window.hpp		\
              preview_view.hpp			\
              print_page.hpp

RC_FILE = lecaviste.rc
QT 		+= sql xml

TRANSLATIONS = lecaviste_fr.ts

CONFIG += debug_and_release build_all warn_on
CONFIG(debug, debug|release) {
  TARGET = lecaviste_d
  DEFINES += DEBUG
  CONFIG += console
} else {
  TARGET = lecaviste
  DEFINES += QT_NO_DEBUG_OUTPUT
}
